QGIS Application - Bug report #883
Zoom to various previous extents
2007-12-27 12:29 PM - cdavila -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 10942
Description

When you use Zoom last tool more than once it goes back and forward to the last two extents. It would be more useful if this button goes
back to previous extent and next time you click it to previous previous extent and so on. Having a Zoom next button would complete
navigation options, just like web browsers.

History

#1 - 2008-03-04 07:19 PM - springmeyer -

| second this idea. QGIS needs to remember more than one of the previous view extents. Adding at least 10 extents by default might be appropriate.

#2 - 2008-11-29 02:25 AM - Anne Ghisla

persists on QGIS 1.0 preview1 for Windows.

#3 - 2008-11-29 04:40 AM - Brendon Wolff-Piggott -

Replying to [comment:2 aghisla]:

persists on QGIS 1.0 preview1 for Windows.

persists in QGIS 1.0 Preview 2 for Ubuntu 8.04

#4 - 2009-02-02 05:23 AM - Dorofeev -

patch for this feature added

#5 - 2009-02-02 06:32 AM - Dorofeev -

guys from gis-lab modified this patch for more functionality,so it@s better to use new version of patch attached to another ticket [
https://trac.osgeo.org/qgis/ticket/1522]

#6 - 2009-03-21 10:10 AM - cfarmer -
- Status changed from Open to Closed
- Resolution set to duplicate

This bug has now been duplicated (with supplied patch) here: https://trac.osgeo.org/qgis/ticket/1522

#7 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

Files
patch.ixt 7.76 KB 2009-02-02 Dorofeev -
mActionZoomNext.png 2.07 KB 2009-02-02 Dorofeev -

2025-12-16 22


https://trac.osgeo.org/qgis/ticket/1522

